Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sshtools.ant
Class ConditionalTasks

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              com.sshtools.ant.ConditionalTasks

All Implemented Interfaces:
  org.apache.tools.ant.TaskContainer

public class ConditionalTasks
extends org.apache.tools.ant.Task
implements org.apache.tools.ant.TaskContainer

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`ConditionalTasks()`

Method Summary
`void` | `addTask(org.apache.tools.ant.Task task)`
`void` | `execute()`
`void` | `setDirs(java.lang.String dirs)`
`void` | `setFiles(java.lang.String files)`
`void` | `setName(java.lang.String name)`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorOutput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConditionalTasks

    public ConditionalTasks()

Method Detail

### setDirs

    public void setDirs(java.lang.String dirs)

### setFiles

    public void setFiles(java.lang.String files)

### setName

    public void setName(java.lang.String name)

### addTask

    public void addTask(org.apache.tools.ant.Task task)

  Specified by:
    `addTask` in interface `org.apache.tools.ant.TaskContainer`

### execute

    public void execute()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD